#include <iostream>

using namespace std;

int main()
{
    long long n,s=0;
    cin>>n;
    while(n>0){
        int c=n%10;
        n=n/10;
        if(c==1 || c==2 || c==5){
            s=s+1;
        }
        else if(c==0){
            s=s;
        }
        else if(c==8 || c==9){
            s=s+3;
        }
        else{
            s=s+2;
        }
    }
    cout<<s;

}